server:
  port: 8839

spring:
  application:
    name: daqe-center
  cloud:
    config:
      discovery:
        enabled: true
        service-id: config-center
  redis:
    jedis:
      pool:
        max-active: 8 # 连接池最大连接数（使用负值表示没有限制）
        max-idle: 5 # 连接池中的最大空闲连接
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        min-idle: 0 # 连接池中的最小空闲连接
    timeout: 20000 # 连接超时时间（毫秒）
  profiles:
    active: local

eureka:
  client:
    service-url:
      defaultZone: http://${eureka-addr:localhost}:${eureka-port:6751}/eureka/

logging:
  config: classpath:logback-spring.xml
  level:
    root: ${log-level:info}
  file:
    path: /logs/daqe-center

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always

feign:
  okhttp:
    enabled: true

ribbon:
  ConnectTimeout: 3000 # 服务请求连接超时时间（毫秒）
  ReadTimeout: 3000 # 服务请求处理超时时间（毫秒）

mybatis-plus:
  type-aliases-package: com.lantone.daqe.entity

swagger.title: 数据及质量保障中心
swagger.des: 数据及质量保障中心—相关接口文档
swagger.version: 0.0.1-SNAPSHOT

#数据比对定时器
blockloss:
  compare:
    cron: 0 0 1 * * ?
    use: true
    hospitalId: 4
#数据校验定时器
columnResult:
  compare:
    cron: 0 30 1 * * ?
    use: true
    hospitalId: 4
#修改规则数据校验定时器
upColumnResult:
  compare:
    cron: 0 0 2 * * ?
    use: true
    hospitalId: 4